Bug 320616 - SMTP does not prompt for password
Summary: SMTP does not prompt for password
Status: RESOLVED FIXED
Alias: None
Product: trojita
Classification: Unclassified
Component: SMTP (show other bugs)
Version: 0.3.93
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Trojita default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-02 15:27 UTC by Pepijn de Vos
Modified: 2013-08-15 10:01 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pepijn de Vos 2013-06-02 15:27:07 UTC
When the password field is left empty in the SMTP tab, an error is returned upon sending email.

    Sending of the message failed with the following error: 5.7.8 {BADCREDENTIALS} p43sm36272271eem.11 - gsmtp

Reproducible: Always

Steps to Reproduce:
1. add email account
2. leave SMTP password field empty
3. send email
Actual Results:  
an error is returned

Expected Results:  
pasword is prompted
Comment 1 Jan Kundrát 2013-06-13 10:10:10 UTC
This will take some time to get addressed properly -- thanks for your report, it's much appreciated.
Comment 2 Jan Kundrát 2013-08-15 10:01:44 UTC
Git commit 56ba7723cad35fdc1a921cad5f0de72434a5f853 by Jan Kundrát, on behalf of Pali Rohár.
Committed on 13/08/2013 at 19:24.
Pushed by jkt into branch 'master'.

Add support for asking SMTP password when sending email

MSA: AbstractMSA: Add signal passwordRequested() and slot setPassword() for requesting and setting password
MSA: SMTP: Use MSA passwordRequested() and setPassword() for requesting password before sending emails
Composer: Submission: Use MSA API for requesting and setting password, forward it to parent GUI widget
Gui: ComposeWidget: Use Gui::PasswordDialog for password requests from Composer
REVIEW: 112065

M  +13   -0    src/Composer/Submission.cpp
M  +7    -0    src/Composer/Submission.h
M  +22   -0    src/Gui/ComposeWidget.cpp
M  +2    -0    src/Gui/ComposeWidget.h
M  +6    -0    src/MSA/AbstractMSA.cpp
M  +2    -0    src/MSA/AbstractMSA.h
M  +50   -16   src/MSA/SMTP.cpp
M  +8    -0    src/MSA/SMTP.h

http://commits.kde.org/trojita/56ba7723cad35fdc1a921cad5f0de72434a5f853